Attribute VB_Name = "INI_Files"
Option Explicit

Declare Function GetPrivateProfileString Lib "KERNEL32" _
  Alias "GetPrivateProfileStringA" _
  (ByVal lpApplicationName As String, _
  ByVal lpKeyName As Any, _
  ByVal lpDefault As String, _
  ByVal lpReturnedString As String, _
  ByVal nSize As Long, _
  ByVal lpFileName As String) As Long

Declare Function WritePrivateProfileString Lib "KERNEL32" _
  Alias "WritePrivateProfileStringA" _
  (ByVal lpApplicationName As String, _
  ByVal lpKeyName As Any, _
  ByVal lpString As Any, _
  ByVal lpFileName As String) As Long

Public Function INI_WriteKey(FileName As String, Section As String, _
  Key As String, Value As String) As Long
   
  INI_WriteKey = WritePrivateProfileString(Section, Key, Value, FileName)
   
End Function

Public Function INI_GetKey(FileName As String, Section As String, _
  Key As String) As String
  
  Dim Temp As String
  Dim x As String
  
  Temp = String(255, 0)
  x = GetPrivateProfileString(Section, Key, "", Temp, 255, FileName)
  Temp = Left$(Temp, x)
  INI_GetKey = Temp
  
End Function
